Show / Hide Table of Contents

# SwitchToSynchronizationContextAwaitable Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct SwitchToSynchronizationContextAwaitable

### Members

#### Constructors

Name | Description
--- | ---
SwitchToSynchronizationContextAwaitable(SynchronizationContext) |

#### Methods

Name | Description
--- | ---
GetAwaiter() |

### Constructors

#### SwitchToSynchronizationContextAwaitable(SynchronizationContext)

    public SwitchToSynchronizationContextAwaitable(SynchronizationContext synchronizationContext)

##### Parameters

`synchronizationContext` System.Threading.SynchronizationContext

### Methods

#### GetAwaiter()

    public SwitchToSynchronizationContextAwaitable.Awaiter GetAwaiter()

##### Returns

SwitchToSynchronizationContextAwaitable.Awaiter